"use strict";

var _http = require("http");

var _next = _interopRequireDefault(require("next"));

var _handler = _interopRequireDefault(require("./handler"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const dev = process.env.NODE_ENV !== 'production';
const app = (0, _next.default)({
  dev
});
const handler = app.getRequestHandler();
module.exports.handler = (0, _handler.default)(app, handler, () => {
  // create a normal http node server for local usage
  const port = process.env.PORT || 3000;
  (0, _http.createServer)(handler).listen(port, err => {
    if (err) throw err;
    console.log(`> Ready on http://localhost:${port}`); // eslint-disable-line no-console
  });
});